#include <QApplication>
#include <QDeclarativeEngine>
#include "qmlapplicationviewer.h"

Q_DECL_EXPORT int main(int argc, char *argv[])
{
//    QApplication::setGraphicsSystem("opengl");
    QScopedPointer<QApplication> app(createApplication(argc, argv));

    QmlApplicationViewer viewer;
//    (viewer.engine())->addImportPath(QString("/data/local/qt/imports"));
    viewer.setOrientation(QmlApplicationViewer::ScreenOrientationAuto);
    viewer.setMainQmlFile(QLatin1String("qml/transition_3d_01/main.qml"));
    viewer.showExpanded();

    return app->exec();
}
