import QtQuick 1.1
import Qt.labs.shaders 1.0

Item{
    id:root
    property variant sourceItem: dummy
    anchors.fill: parent
//    Component.onCompleted: {
//        if(sourceItem === dummy){
//            console.log("Be sure to set sourceItem property to MyTouchEffecdt01 component!!!")
//        }
//    }

    Rectangle{id:dummy
        anchors.fill: parent
        color: "red"
        Text{
            anchors.fill: parent
            text:"MyTouchEffect must be set sourceItem property!!!"
            color:"white"
        }
    }
    ShaderEffectSource {
        id: thesource
//                sourceItem: Image { source: "images/desaturate.jpg" }
        sourceItem: root.sourceItem
        live: false
        hideSource: true
    }

    RadialWaveEffect {
        id: layer
        anchors.fill: parent;
        source: thesource

        wave: 0.0
        waveOriginX: 0.5
        waveOriginY: 0.5
        waveWidth: 0.01

        NumberAnimation on wave {
            id: waveAnim
            running: false
//                    loops: Animation.Infinite
            easing.type: "Linear"
            from: 0.0000; to: 2.0000;
            duration: 2500
        }
    }

    MouseArea {
        anchors.fill: parent
        onPressed: {
            thesource.grab()
            waveAnim.stop()
            layer.waveOriginX = mouseX / root.width
            layer.waveOriginY = mouseY / root.height
            waveAnim.start()
            mouse.accepted = false
        }
    }
}
