import QtQuick 1.1

Loader{
    id:root
    function showScreen(qml){
        root.source = ""
        root.state = "loading"
        root.source = qml
        root.state = "loaded"
    }
    transform: Rotation{id:rot01; origin.x:0; origin.y: root.height/2; axis {x:0; y:1; z:0} angle:0}
    states: [
        State {
            name: "loading"
            PropertyChanges {
                target: rot01
                angle:90
            }
        }
        ,State {
            name: "loaded"
            PropertyChanges {
                target: rot01
                angle:0
            }
        }
    ]
    transitions: [
        Transition {
//            from: "fromState"
            to: "loaded"
            NumberAnimation { target: rot01; property: "angle"; duration: 500; easing.type: Easing.OutSine }

        }
    ]
}
